Bug 801735 - please provide an example system-connections file
please provide an example system-connections file
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 05:17 EST by Oron Peled
Modified: 2015-02-18 08:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:42:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oron Peled 2012-03-09 05:17:38 EST
Description of problem:

 * Sometime a system connection have to be added without a GUI interface
   (e.g: On a remote server or an embedded system)

 * The NetworkManager.conf manpage, document that this can be achieved via
   a file in /etc/NetworkManager/system-connections/ directory

 * However, the file format of these files is not documented and there's no
   example file provided in the package

 * A similar BR was opened on Debian, including the missing pieces:
      http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=637769

Version-Release number of selected component (if applicable):
 * Fedora-15
 * Looking at https://community.dev.fedoraproject.org/packages/NetworkManager/
   This hasn't changed in F-16, F-17 (rawhide)

Proposed fix:
 * Formal documentation is in:
     http://projects.gnome.org/NetworkManager/developers/api/09/ref-settings.html
   - Although it's part of developer documentation, this specific page should
     be part of user documentation
   - The best (IMO) is to include it in the user documentation, but alternatively
     a link may be provided.

 * Add some minimal example files:
   - The Debian BR provides some
   - It was best if they could be located in /etc/NetworkManager/system-connection
     with some non-functional suffix (e.g: wireless.conf.example)
     However, it seems (from documentation) that NetworkManager does not look for
     a specific suffix (e.g: .conf) -- if that's the case, they may be
     placed in /usr/share/doc/NetworkManager-<version>/examples
Comment 1 Fedora End Of Life 2012-08-06 16:09:06 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Oron Peled 2012-08-06 17:40:26 EDT
* The BR applies equally well to Fedora-17 which is still live and
  kicking so there's no reason to close it.

* The Debian bug mentioned, had (a bit of) activity, including
  a sample configuration file (not yet applied).

* As was noted in the Debian bug, there's currently no way to
  create new system connection from command line (e.g: no
  "nmcli con add" command).
  The requested example (+ documentation) serve as some minimal
  replacement to the missing functionality.
Comment 3 Pavel Šimerda (pavlix) 2012-08-29 06:30:44 EDT
It is still the case.
Comment 4 Fedora End Of Life 2013-04-03 15:16:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora End Of Life 2015-01-09 16:56:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-18 08:42:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.